com.google.web.bindery.requestfactory.gwt.ui.client

## Class ProxyRenderer<R>

- java.lang.Object
- - com.google.gwt.text.shared.AbstractRenderer<R>
  - - com.google.web.bindery.requestfactory.gwt.ui.client.ProxyRenderer<R>

Type Parameters:
  `R` - the type to render

All Implemented Interfaces:
  Renderer<R>

    public abstract class ProxyRenderer<R>
    extends AbstractRenderer<R>

Renders a proxy object, and reports the properties it requires to do that rendering.

### Constructor Summary

Constructors
Constructor and Description
`ProxyRenderer(java.lang.String[] paths)` Constructs a `ProxyRenderer` with a given set of paths.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getPaths()` The properties required by this renderer.

### Methods inherited from class com.google.gwt.text.shared.AbstractRenderer

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.text.shared.Renderer

`render`

### Constructor Detail

#### ProxyRenderer

    public ProxyRenderer(java.lang.String[] paths)

Constructs a `ProxyRenderer` with a given set of paths.

Parameters:
  `paths` - an Array of Strings

### Method Detail

#### getPaths

    public java.lang.String[] getPaths()

The properties required by this renderer.

Returns:
  an Array of String paths